powertop_2.9-0ubuntu1_amd64.deb


Advertisement

Description

powertop - diagnose issues with power consumption and management

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name powertop
Package version 2.9
Package release 0ubuntu1
Package architecture amd64
Package type deb
Installed size 580 B
Download size 178.75 KB
Official Mirror archive.ubuntu.com
PowerTOP is a Linux tool to diagnose issues with power consumption and
power management. In addition to being a diagnostic tool, PowerTOP also
has an interactive mode you can use to experiment with various power
management settings, for cases where the Linux distribution has not
enabled those settings.
PowerTOP reports which components in the system are most likely to blame
for higher-than-needed power consumption, ranging from software
applications to active components in the system. Detailed screens are
available for CPU C and P states, device activity, and software activity.

Alternatives

Package Version Architecture Repository
powertop_2.9-0ubuntu1_i386.deb 2.9 i386 Ubuntu Main
powertop - - -

Requires

Name Value
libc6 >= 2.27
libgcc1 >= 1:3.0
libncursesw5 >= 6
libnl-3-200 >= 3.2.7
libnl-genl-3-200 >= 3.2.7
libpci3 >= 1:3.5.2-1
libstdc++6 >= 5.2
libtinfo5 >= 6

Download

Type URL
Binary Package powertop_2.9-0ubuntu1_amd64.deb
Source Package powertop

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install powertop deb package:
    # sudo apt-get install powertop

Files

Path
/usr/sbin/powertop
/usr/share/doc/powertop/changelog.Debian.gz
/usr/share/doc/powertop/copyright
/usr/share/man/man8/powertop.8.gz

Changelog

2018-04-01 - Julian Andres Klode <juliank@ubuntu.com>
powertop (2.9-0ubuntu1) bionic; urgency=medium
* New upstream release (LP: #1740861); fixes support for Kabylake and
some other fixes.
* d/patches/fix-configure.patch: Use AX_REQUIRE_DEFINED to avoid some
aclocal loop
2017-04-12 - Steve Langasek <steve.langasek@ubuntu.com>
powertop (2.8-1build2) zesty; urgency=medium
* No-change rebuild to pick up -fPIE compiler default in static
libraries
2016-02-07 - Matthias Klose <doko@ubuntu.com>
powertop (2.8-1build1) xenial; urgency=medium
* No-change rebuild for ncurses6 transition.
2015-11-06 - Jose Luis Rivas <ghostbar@debian.org>
powertop (2.8-1) unstable; urgency=medium
* new upstream release (Closes: #801873)
2015-09-09 - Jose Luis Rivas <ghostbar@debian.org>
powertop (2.7-1) unstable; urgency=medium
* New upstream version to unstable. (Closes: #795297)
2014-11-24 - Julian Wollrath <jwollrath@web.de>
powertop (2.7-1~exp1) experimental; urgency=medium
* Update debian/watch (modified the one provided by bartm, thanks).
* New upstream release:
+ RAPL: powercap sysfs used for power measurements.
+ ARM support for devfreq stats.
+ Added support to new Intel platforms.
+ Several bug fixes.
* Update debian/copyright.
* Bump standards version to 3.9.6, no changes needed.
2014-07-23 - Julian Wollrath <jwollrath@web.de>
powertop (2.6.1-1) unstable; urgency=medium
* debian/watch: adjust to new URL. 
* Change architectures to linux-any, since ia64 is not a release
architecture anymore.
* New upstream release.
+ Drop now obsolete patch.
* Update year in debian/copyright.
* Drop automake from B-D (pulled in by dh-autoreconf anyways).
2013-11-23 - Julian Wollrath <jwollrath@web.de>
powertop (2.5-1) unstable; urgency=low
* Only build for supported architectures.
* New upstream release (Closes: #695890, #726539).
+ Use dh-autoreconf to make it build with automake 1.14.
+ Add patch to not use csstoh.sh.
* Bump standards version to 3.9.5, no changes needed.
2013-09-02 - Julian Wollrath <jwollrath@web.de>
powertop (2.4-2) unstable; urgency=low
* debian/copyright: Add missing copyright notices.
* Add myself as co-maintainer.
* Add postrm script to remove /var/cache/powertop when purging
(Closes: #680510).
* Change architecture to linux-any, since it is a linux specific package.
* Change package description to something more descriptive.
* Add debug package (Closes: #679579).
* Remove unneeded copy of the manpage, use the upstream one instead.
* Disable silent rules during build.
2013-08-30 - Jose Luis Rivas <ghostbar@debian.org>
powertop (2.4-1) unstable; urgency=low
* New upstream release (Closes: #685607, #695893, #659517, #686699, #705993)
* debian/control:
+ Jose Luis Rivas's email to `ghostbar@debian.org`.
+ Remove build-dependency on `cdbs`. No need anymore.
+ Add dependency on `automake` so `config.{guess,sub}` are auto-updated on
build.
+ Standards-Version to 3.9.4.
+ Swap on fields maintainer and uploaders.
+ Add Vcs-* fields.
* debian/watch: upstream changed to `tar.gz` from `tar.bz2`, so reports on
newer versions were failing to be accurate. (Closes: #695891)
* Acknowledging NMU's.
* debian/rules: Simple dh format.
* debian/patches: changes applied upstream. No need anymore.
* debian/copyright: update to copyright-format/1.0

See Also

Package Description
ppp-dev_2.4.7-2+2ubuntu1_all.deb Point-to-Point Protocol (PPP) - development files
ppp_2.4.7-2+2ubuntu1_amd64.deb Point-to-Point Protocol (PPP) - daemon
pppconfig_2.3.23_all.deb Text menu based utility for configuring ppp
pppoeconf_1.21ubuntu1_all.deb configures PPPoE/ADSL connections
pptp-linux_1.9.0+ds-2_amd64.deb Point-to-Point Tunneling Protocol (PPTP) Client
pptpd_1.4.0-11build1_amd64.deb PoPToP Point to Point Tunneling Server
preview-latex-style_11.91-1ubuntu1_all.deb extraction of elements from LaTeX documents as graphics
printer-driver-brlaser_4-1_amd64.deb printer driver for (some) Brother laser printers
printer-driver-c2esp_27-4_amd64.deb printer driver for Kodak ESP AiO color inkjet Series
printer-driver-foo2zjs-common_20170320dfsg0-4_all.deb printer driver for ZjStream-based printers - common files
printer-driver-foo2zjs_20170320dfsg0-4_amd64.deb printer driver for ZjStream-based printers
printer-driver-gutenprint_5.2.13-2_amd64.deb printer drivers for CUPS
printer-driver-hpcups_3.17.10+repack0-5_amd64.deb HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
printer-driver-hpijs_3.17.10+repack0-5_amd64.deb HP Linux Printing and Imaging - printer driver (hpijs)
printer-driver-m2300w_0.51-13_amd64.deb printer driver for Minolta magicolor 2300W/2400W color laser printers
Advertisement
Advertisement